Subject: Re: bug#6568: 23.2; easypg opens blank buffer when password is incorrect

From: Leo <[email-masked]>
Date: Tue, 06 Jul 2010 10:21:04 +0100

On 2010-07-06 09:47 +0100, Daiki Ueno wrote:
> Basically agree.  I have worndered for a long time how to implement
> this, because error handling in find-file is too complex to control.
>
> One idea is to re-throw the error in find-file-not-found-functions
> (patch attached).  I'm not sure if this approach is palatable as other
> basic Emacs commands.  Anyway, testing would be much appreciated.
>
> === modified file 'lisp/epa-file.el'
> --- lisp/epa-file.el	2010-01-13 08:35:10 +0000
> +++ lisp/epa-file.el	2010-07-06 08:36:24 +0000
[patch omitted]

Thank you for your prompt action on the bug. Much appreciated.

I have just tested the patch with emacs 23.2 and as far as I can see the
blank buffer is still opened with incorrect passwords or typing C-g at
the password prompt.

Is it plausible to just signal a 'password-error?

BTW, both the magic file and find file functions seem overly complex to
me.

Leo